跳至內容

Hunyuan3d V3 · Text to 3D

整合

模型 id hunyuan3d-v3/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

像範例一樣的檔案: $0.375 375 API 點數 · ≈ ₽40.30 您的檔案會在執行前計量 在此頁面執行

取得 API 金鑰
Tencent 文字轉 3D

Hunyuan3D V3 文字轉 3D,輸出可選 Normal、LowPoly 或 Geometry,並支援 PBR

Tencent · 3D

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填 88 / 1024

生成提示詞,最多可使用 1024 個 UTF-8 字元指定要建立的 3D 內容。

generate_type 預設 Normal

生成模式:`Normal` 產生具紋理的模型;`LowPoly` 減少多邊形;`Geometry` 產生無紋理的白色模型。

預設 500000

所需面數,範圍為 40,000 到 1,500,000。

進階 polygon_type · enable_safety_checker
polygon_type 預設 triangle

多邊形類型,僅在 `GenerateType` 為 `LowPoly` 時套用。

POST /run/hunyuan3d-v3/text-to-3d?wait=20 報價 → $0.375
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Hunyuan3d V3 · Text to 3D

從最多 1024 個字元的 `prompt` 產生 3D 模型,不需要影像。`generate_type` 選擇有材質的 Normal 模型、LowPoly 簡化模型或白色 Geometry 模型;`polygon_type` 為 LowPoly 設定 triangle 或 quadrilateral。`enable_pbr` 加入 PBR 材質,`face_count` 範圍為 40000 至 1500000。

參數

名稱類型 預設值允許值 說明
prompt必填
類型string
≤ 1,024 個字元
生成提示詞,最多可使用 1024 個 UTF-8 字元指定要建立的 3D 內容。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
enable_pbr選填
類型boolean
預設值false
生成 PBR 材質的切換設定。
face_count選填
類型integer
預設值500000
40,000 – 1,500,000
所需面數,範圍為 40,000 到 1,500,000。
generate_type選填
類型enum
預設值Normal
NormalLowPolyGeometry
生成模式:`Normal` 產生具紋理的模型;`LowPoly` 減少多邊形;`Geometry` 產生無紋理的白色模型。
polygon_type選填
類型enum
預設值triangle
trianglequadrilateral
多邊形類型,僅在 `GenerateType` 為 `LowPoly` 時套用。
必填

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d-v3/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
model_glb
object {url, content_type, file_name, file_size}包含生成 3D 物件的 GLB 檔案。
thumbnail
object {url, content_type, file_name, file_size} | null顯示生成模型預覽的縮圖。
model_urls
object {glb, fbx, obj, usdz}各種格式的 3D 模型連結。
seed
integer | null生成期間使用的種子值。

更多模型:文字轉 3D

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/hunyuan3d-v3/text-to-3d.md. 所有模型與指南: https://doitong.com/developers/llms.txt